// author: Sascha L. Teichmann (sascha.teichmann@intevation.de)
//         Torsten Irlaender (torsten.irlaender@intevation.de)

var changed = 0;

$(document).ready(function(){
    changed = 0;
    $(".navigation").click(function(){
        if (changed == 1) {
            return confirm("Es wurden ggf. Eingabedatenfelder verändert.\nWollen Sie dennoch fortfahren?");
        }
    });
    $("input,select,textarea").change(function(){
        changed = 1;
    });
});

function isModified() {
    return (changed == 1);
}

function save_page(page) {
    python.save($("form").serialize());
}

function save_next(page) {
    python.save_next($("form").serialize());
}

function select_item(page) {
    python.select_item(page);
}

function create_repeat_group(page) {
    python.create_repeat_group(page);
}

function delete_repeat_group(page) {
    if (confirm("Wollen Sie den Eintrag wirklich löschen?")) {
	python.delete_repeat_group(page);
    }
}

function create_inline_rg(rg_id) {
    python.create_inline_repeat_group($("form").serialize(), rg_id);
}

function delete_inline_rg(rg_id) {
    if (confirm("Wollen Sie den Eintrag wirklich löschen?")) {
	python.delete_inline_repeat_group($("form").serialize(), rg_id);
    }
}

function open_branch(page, old_page) {
    python.open_branch(page, old_page);
}

function close_branch(page, old_page) {
    python.close_branch(page, old_page);
}

function select_branch(page) {
    python.select_branch(page);
}

function undo_error(item_id) {
    python.undo_error(item_id);
}

function required_help(item) {
    python.required_help(item);
}

function eval_help(item) {
    python.eval_help(item);
}

function help(item) {
    python.help(item);
}

function create_logbook_entry() {
    python.create_logbook_entry()
}

function create_logbook_entry_store() {
    python.create_logbook_entry_store($("form").serialize());
}

function delete_logbook_entry(uuid) {
    if (confirm("Wollen Sie den Eintrag wirklich löschen?")) {
        python.delete_logbook_entry(uuid);
    }
}

function edit_logbook_entry(uuid) {
    python.edit_logbook_entry(uuid);
}

function edit_logbook_entry_store() {
    python.edit_logbook_entry_store($("form").serialize());
}

function view_logbook_entry(uuid) {
    python.view_logbook_entry(uuid);
}

function logbook_overview() {
    python.logbook_overview();
}
