#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# (c) 2008 by Intevation GmbH
# This is Free software under the GPLv3. 
# See LICENSE comming with the source of 'mpuls offline'
# for details.
#
# author: Sascha L. Teichmann (sascha.teichmann@intevation.de)
#

import os

COUNTER_FILE = os.path.join(os.path.expanduser("~"), "case-counter.txt")

def main():
    counter = 0
    if os.path.isfile(COUNTER_FILE):
        f = None
        try:
            f = open(COUNTER_FILE)
            counter = int(f.readline())
        finally:
            if f: f.close()

    f = None
    try:
        f = open(COUNTER_FILE, "w")
        print >> f, "%d" % (counter + 1)
    finally:
        if f: f.close()

    print counter

if __name__ == '__main__':
    main()

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
